Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024337
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-15 18:252013-07-24 17:17
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchpiFixed in SCM revision091cbd0e140c
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024337: The total amount should be displayed in the cash drawer display when you push in pay

DescriptionThe total amount should be displayed in the cash drawer display when you push in pay.

Currently the display is updated with the total line when you insert one line, however the display is not updated when you in the total.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060058)
hgbot (developer)
2013-07-16 19:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 091cbd0e140c6b97048667cd3f1c0198dc3175de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 19:43:50 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/091cbd0e140c6b97048667cd3f1c0198dc3175de [^]

Fixed issue 24337. The total amount will be displayed when the user moves to the payment tab. When a payment is added, the total paid and the pending/change info will be shown

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
A web/org.openbravo.retail.posterminal/res/displaytotal.xml
---
(0060123)
migueldejuana (developer)
2013-07-19 10:50

It doesn't work with multiorders
(0060138)
hgbot (developer)
2013-07-22 11:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4328152790945976585e859bef4ace640360f66d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jul 22 11:23:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4328152790945976585e859bef4ace640360f66d [^]

related to issue 24337: Display is working fine also with multiorders

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0060139)
guilleaer (developer)
2013-07-22 11:25

http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4328152790945976585e859bef4ace640360f66d [^]
(0060239)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 091cbd0e140c6b97048667cd3f1c0198dc3175de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 19:43:50 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/091cbd0e140c6b97048667cd3f1c0198dc3175de [^]

Fixed issue 24337. The total amount will be displayed when the user moves to the payment tab. When a payment is added, the total paid and the pending/change info will be shown

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
A web/org.openbravo.retail.posterminal/res/displaytotal.xml
---
(0060253)
hgbot (developer)
2013-07-24 13:42

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 4328152790945976585e859bef4ace640360f66d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jul 22 11:23:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/4328152790945976585e859bef4ace640360f66d [^]

related to issue 24337: Display is working fine also with multiorders

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---

- Issue History
Date Modified Username Field Change
2013-07-15 18:25 jecharri New Issue
2013-07-15 18:25 jecharri Assigned To => marvintm
2013-07-16 19:44 hgbot Checkin
2013-07-16 19:44 hgbot Note Added: 0060058
2013-07-16 19:44 hgbot Status new => resolved
2013-07-16 19:44 hgbot Resolution open => fixed
2013-07-16 19:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/091cbd0e140c6b97048667cd3f1c0198dc3175de [^]
2013-07-19 10:50 migueldejuana Note Added: 0060123
2013-07-19 10:50 migueldejuana Status resolved => new
2013-07-19 10:50 migueldejuana Resolution fixed => open
2013-07-22 11:23 hgbot Checkin
2013-07-22 11:23 hgbot Note Added: 0060138
2013-07-22 11:25 guilleaer Status new => acknowledged
2013-07-22 11:25 guilleaer Issue Monitored: guilleaer
2013-07-22 11:25 guilleaer Issue End Monitor: guilleaer
2013-07-22 11:25 guilleaer Status acknowledged => scheduled
2013-07-22 11:25 guilleaer fix_in_branch => pi
2013-07-22 11:25 guilleaer Note Added: 0060139
2013-07-22 11:25 guilleaer Status scheduled => resolved
2013-07-22 11:25 guilleaer Fixed in Version => RMP25
2013-07-22 11:25 guilleaer Resolution open => fixed
2013-07-23 11:29 marvintm Review Assigned To => marvintm
2013-07-23 11:29 marvintm Status resolved => closed
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060239
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/091cbd0e140c6b97048667cd3f1c0198dc3175de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/091cbd0e140c6b97048667cd3f1c0198dc3175de [^]
2013-07-24 13:42 hgbot Checkin
2013-07-24 13:42 hgbot Note Added: 0060253
2013-07-24 17:17 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker